Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1874664 - Please build python-cairosvg for EPEL8
Summary: Please build python-cairosvg for EPEL8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-cairosvg
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1874662 1874669
Blocks: 1765877
TreeView+ depends on / blocked
 
Reported: 2020-09-01 22:24 UTC by Orion Poplawski
Modified: 2021-08-12 00:32 UTC (History)
2 users (show)

Fixed In Version: python-cairosvg-2.5.2-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-12 00:32:17 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Orion Poplawski 2020-09-01 22:24:04 UTC
Description of problem:

Please build python-cairosvg for EPEL8, needed for buildbot-www.  You can add me (orion) as admin to the package if you do not want to maintain it in EPEL.  Thanks.

Current missing deps:
DEBUG util.py:621:  No matching package to install: 'python3-cairocffi'
DEBUG util.py:621:  No matching package to install: 'python3-cssselect2'
DEBUG util.py:621:  No matching package to install: 'python3-xcffib'

Comment 1 Felix Schwarz 2020-09-02 06:41:48 UTC
done

Comment 2 Neal Gompa 2021-07-02 12:02:00 UTC
This package is still missing in EPEL8, what's going on here?

Comment 3 Felix Schwarz 2021-07-02 12:07:21 UTC
I think I added Orion as a maintainer back then (and then prematurely closed this ticket). I'm not particularly interested in maintaining this package in EPEL but if anyone is interested, I'm happy to have additional maintainers on board.

Comment 4 Felix Schwarz 2021-07-02 12:13:55 UTC
Orion: I just noticed that python-xcffib was orphaned recently. If you are still interested in an EPEL version for python-cairosvg you might be interested in taking over python-xcffib.

Comment 5 Neal Gompa 2021-07-05 22:38:58 UTC
(In reply to Felix Schwarz from comment #4)
> Orion: I just noticed that python-xcffib was orphaned recently. If you are
> still interested in an EPEL version for python-cairosvg you might be
> interested in taking over python-xcffib.

Looks like Orion got python-cairocffi and python-xcffib into EPEL 8: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-60a698e4ba

That should unblock getting this into EPEL 8 now...

Comment 6 Orion Poplawski 2021-07-21 03:18:27 UTC
It fails to build with some test failures that I haven't had time to look at yet.

Comment 7 Fedora Update System 2021-08-11 04:45:05 UTC
FEDORA-EPEL-2021-9c56cda373 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-9c56cda373

Comment 8 Fedora Update System 2021-08-12 00:32:17 UTC
FEDORA-EPEL-2021-9c56cda373 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.